/* ****************** */
/* header section */
/* ****************** */
.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #fdf2e9;

  height: 9.6rem;
  padding: 0 4.8rem;
  position: relative;
}

.logo {
  height: 2.2rem;
}

/* ************ */
/* Navigation */
/* ************ */

.nav-bar-link {
  /* text-transform: capitalize; */
  display: flex;
  align-items: center;
  gap: 4.8rem;
  list-style: none;
  /* justify-content: space-between; */
}

.Main-nav-link:link,
.Main-nav-link:visited {
  text-decoration: none;
  color: #333;
  font-weight: 600;
  font-size: 1.8rem;

  transition: all 300ms ease-in;
}

.Main-nav-link:hover,
.Main-nav-link:active {
  color: #e67e22;
}

.Main-nav-link.nav-btn:link,
.Main-nav-link.nav-btn:visited {
  padding: 1.2rem 2.4rem;
  background-color: #e67e22;
  border-radius: 0.9rem;
  color: #fff;
}

.Main-nav-link.nav-btn:hover,
.Main-nav-link.nav-btn:active {
  background-color: #cf711f;
}

.btn-mobile-nav {
  border: none;
  background-color: none;

  display: none;
}

.btn-mobile-icon {
  height: 4.8rem;
  width: 4.8rem;
  color: #333;
}

.btn-mobile-icon[name="close-outline"] {
  display: none;
}

.sticky {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  z-index: 1000;
  background-color: rgba(255, 255, 255, 0.97);
  box-sizing: 0 1.2rem 3.4rem rgba(0, 0, 0, 0.03);
}

/* ****************** */
/* Hero section */
/* ****************** */

.hero-box {
  background-color: #fdf2e9;
  padding: 9.6rem 0 9.6rem 0;
  margin-bottom: 6.4rem;
}

.hero {
  max-width: 130rem;
  margin: 0 auto;
  padding: 0 3.2rem;
  align-items: center;
  gap: 6rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.hero-paragraph {
  font-size: 2rem;
  line-height: 1.5;
  margin-bottom: 4.8rem;
}

.hero-img {
  width: 100%;
}

.delivered-meals {
  display: flex;
  align-items: center;
  gap: 1.3rem;
  margin-top: 8rem;
}

.delivered-images {
  display: flex;
  /* margin-top: 2rem; */
}

.delivered-images img {
  height: 4.8rem;
  width: 4.8rem;
  border-radius: 50%;
  margin-left: -1.5rem;
  border: 3px solid #fdf2e9;
}

.delivered-text {
  font-size: 2rem;
  font-weight: 700;
}

.delivered-text span {
  color: #e67e22;
}

/* ********************** */
/*       Future in       */
/* ********************** */

.section-featured {
  padding: 4.8rem 0 3.8rem 0;
}

.heading-future-in {
  font-size: 1.6rem;
  text-transform: uppercase;
  letter-spacing: 0.75px;
  font-weight: 500;
  text-align: center;
  margin-bottom: 2.4rem;
  color: #888;
}

.feautured-logos {
  display: flex;
  justify-content: space-around;
}

.logos {
  height: 3.2rem;
  filter: brightness(0);
  opacity: 50%;
}

/* ********************** */
/* How it works section*/
/* ********************** */
.step-text-box {
  padding: 4.6rem 0;
  align-items: center;
}

.step-1 {
  font-size: 8.6rem;
  font-weight: 700;
  color: #ddd;
}

.step-text {
  font-size: 2rem;
  line-height: 1.5;
  margin-bottom: 4.8rem;
}

.text-description {
  font-size: 1.8rem;
  line-height: 1.8;
}

.step-img-box {
  display: flex;
  align-items: center;
  justify-content: center;

  position: relative;
}

.step-img-box::before,
.step-img-box::after {
  content: "";
  border-radius: 50%;
  position: absolute;

  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.step-img-box::before {
  background-color: #fdf2e9;
  width: 50%;

  padding-bottom: 50%;

  z-index: -2;
}

.step-img-box::after {
  width: 45%;
  padding-bottom: 45%;
  background-color: #fae5d3;

  z-index: -1;
}

.step-img {
  width: 35%;
}

/* ********************** */
/*          MEAL         */
/* ********************** */

.section-meal {
  padding: 9.6rem 0;
}

.meal-heading-box {
  text-align: center;
}

.meal {
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  border-radius: 1.1rem;
  overflow: hidden;
  transition: all 0.4s;
}

.meal:hover {
  transform: translateY(-1rem);
  box-shadow: 0 3.4rem 8.8rem rgba(0, 0, 0, 0.06);
}

.meal-content {
  padding: 3.8rem 4.8rem 4.8rem 4.8rem;
}

.meal-tags {
  margin-bottom: 1.2rem;
  display: flex;
  gap: 0.4rem;
}

.tag {
  display: inline-block;
  font-size: 1.2rem;
  color: #333;
  text-transform: uppercase;
  font-weight: 500;
  padding: 0.4rem 0.8rem;
  border-radius: 100px;
  /* margin: .75rem 0; */
}

.tag--vegetarian {
  background-color: #51cf66;
}

.tag--vegan {
  background-color: #94d82d;
}

.tag--paleo {
  background-color: #ffd43b;
}

.meal-tittle {
  text-transform: capitalize;
  font-size: 2.4rem;
  font-weight: 600;
  color: #333;
  margin-bottom: 3.2rem;
}

.meal-attributes {
  list-style: none;

  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.meal-attribute {
  font-size: 1.8rem;

  display: flex;
  /* justify-content: center; */
  align-items: center;
  gap: 1.6rem;
}

.meal-img {
  width: 100%;
}

/* ********************** */
/*       MEAL LIST       */
/* ********************** */

.headii {
  font-size: 3.5rem;
  color: #333;
  line-height: 1.2;
  margin-bottom: 2.4rem;
}

.lists {
  display: flex;
  flex-direction: column;
  gap: 2.5rem;
  font-size: 2rem;
  font-weight: 400;
  color: #333;
}

.meal-list {
  list-style: none;

  display: flex;
  align-items: center;
  gap: 2rem;
}

.icons {
  height: 2.4rem;
  width: 2.4rem;
  color: #e67e22;
}
/* ********************** */
/*     LINK TO MENU      */
/* ********************** */

.recipe {
  text-align: center;
  font-size: 1.8rem;
}

.link:link,
.link:visited {
  display: inline-block;
  text-decoration: none;
  border-bottom: 2px solid currentColor;
  padding-bottom: 0.3rem;
  color: #e67e22;
  transition: all 0.3s ease-out;
}

.link:hover,
.link:active {
  border-bottom: 1px solid transparent;
  color: #cf711f;
}

/* ********************** */
/*      Testimonial      */
/* ********************** */

.section-Testimonails {
  background-color: #fdf2e9;
  /* padding: 9.6rem 0; */
  display: grid;
  grid-template-columns: 55fr 45fr;
  align-items: center;
}

.Testimonail-container {
  padding: 9.6rem;
}

.Testimonails {
  display: grid;
  grid-template-columns: 1fr 1fr;
  row-gap: 4.8rem;
  column-gap: 6rem;
}

.Testimonail-img {
  width: 6.4rem;
  border-radius: 50%;
  margin-bottom: 1.2rem;
}

.text-testimonials {
  font-size: 1.8rem;
  font-weight: 1.8rem;
  line-height: 1.8;
  color: #6f6f6f;

  margin-bottom: 1.6rem;
}

.Testimonail-name {
  font-size: 1.6rem;
  color: #777;
}

/* ********************** */
/*  Testimonial gallery  */
/* ********************** */

.gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.6rem;
  padding: 1.6rem;
}

.gallery-item {
  overflow: hidden;
}

.gallery-img {
  width: 100%;
  display: block;
  transition: all 0.3s;
}

.gallery-img:hover {
  transform: scale(1.1);
}

.gen-img {
  display: inline-block;
}

.gallery1 {
  width: 10%;
  height: 30vh;
}

.gen-img:hover {
  transform: scale(1);
}

/* ********************** */
/*          MEAL         */
/* ********************** */

.section-price {
  padding: 9.6rem 0;
}

.pricing-plan {
  border-radius: 1.1rem;
  width: 75%;
}

.pricing-plan--starter {
  justify-self: end;
  border: 2px solid #fdf2e9;
  padding: 4.8rem;
}

.pricing-plan--compete {
  background-color: #fdf2e9;
  padding: 4.9rem;
  position: relative;
  overflow: hidden;
}

.pricing-plan--compete::after {
  content: "Best Value";
  position: absolute;
  top: 7%;
  right: -18%;

  background-color: #ffd43b;
  font-size: 1.6rem;
  font-weight: 700;
  padding: 0.8rem 8rem;
  transform: rotate(45deg);
}

.plan-header {
  text-align: center;
  margin-bottom: 4.8rem;
}

.pricing-name {
  color: #cf711f;
  font-size: 1.6rem;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 0.75px;
  margin-bottom: 3.2rem;
}

.plan-price {
  font-size: 6.2rem;
  font-weight: 600;
  color: #333;
  margin-bottom: 1.6rem;
}

.plan-price span {
  font-size: 3rem;
  font-weight: 500;
}

.pricing-text {
  font-size: 1.6rem;
}

.plan-signup {
  text-align: center;
  margin-top: 4.2rem;
}

.pricing-details {
  text-align: center;

  font-size: 1.6rem;
  line-height: 1.6rem;
}

.feauture-icons {
  color: #e67e22;
  height: 3.2rem;
  width: 3.2rem;
  margin-bottom: 3.2rem;
  background-color: #fdf2e9;
  padding: 1.6rem;
  border-radius: 50%;
}

.price-header {
  font-size: 2.2rem;
  font-weight: 800;
  color: #333;
  margin-bottom: 1.6rem;
}

.price-text {
  font-size: 1.8rem;
  line-height: 1.8;
}

/* ********************** */
/*      CTA SECTION      */
/* ********************** */

.section-cta {
  padding: 4.8rem 0 12.8rem;
}

.CTA {
  display: grid;
  grid-template-columns: 2fr 1fr;
  /* background-color: #e67e22; */
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  border-radius: 1.1rem;
  background-image: linear-gradient(to right bottom, #eb984e, #e67e22);

  height: 50%;
  overflow: hidden;
}

.cta-heading-box {
  padding: 4.8rem 6.4rem 6.4rem 6.4rem;
  color: #45260a;
}

.CTA .heading-secondar {
  color: #45260a;
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.cta-text {
  font-size: 1.8rem;
  line-height: 1.8;
  margin-bottom: 4.8rem;
}

.cta-img {
  background-image: linear-gradient(
      to right bottom,
      rgba(235, 151, 78, 0.35),
      rgba(230, 125, 34, 0.35)
    ),
    url(../content/img/eating.jpg);
  background-size: cover;
  background-position: center;
}
.cta-img:hover {
  transform: scale(1.1);
}

.cta-form {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 3.2rem;
  row-gap: 2.8rem;
}

.cta-form label {
  display: block;
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 1.2rem;
}

.cta-form input,
select {
  width: 100%;
  padding: 1.2rem;
  font-size: 1.8rem;
  /* font-family: inherit; */
  color: inherit;
  background-color: #fdf2e9;
  border: none;
  border-radius: 1rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.cta-form::placeholder {
  color: #aaa;
}

.cta-form .btn--fill {
  text-transform: capitalize;
  background-color: #45260a;
  color: #fdf2e9;
  padding: 1.6rem;
  align-self: flex-end;
}

.CTA *:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem rgba(253, 242, 233, 0.5);
}


/* ********************** */
/*      footer Section    */
/* ********************** */

footer {
  padding: 12.8rem 0;
  border-top: 2px solid #eee;
}

.Social-links {
  list-style: none;
  /* margin: 2.4rem 0px 6.4rem 0px; */

  display: flex;
  gap: 2.6rem;
}

.footer-logo {
  display: block;
  margin-bottom: 3.2rem;
}

.footer-icons {
  height: 2.4rem;
  width: 2.4rem;
  margin-bottom: 6.4rem;
}

.Copyright {
  font-size: 1.4rem;
  line-height: 1.6;
  color: #767676;
}

.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  color: #222;

  margin-bottom: 4rem;
}

.contacts {
  font-style: normal;
  font-size: 1.6rem;
  line-height: 1.6;
}

.footer-address {
  margin-bottom: 2.4em;
}

.footer-nav {
  list-style: none;

  display: flex;
  flex-direction: column;
  gap: 2.8rem;
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.6rem;
  color: #767676;
  transition: all 0.3s;
}

.footer-link:hover {
  color: #555;
}
